#include <stdio.h>
#include <memory.h>
#include <malloc.h>
#include "utype.h"
#include "cmdline.h"

void MemoryInit(uint size)
{
}
void MemoryRundown(void)
{
}
void *ReallocateMemory(void *buf, uint size)
{
	void *rv;
	rv = realloc(buf,size);
  if (!rv)
    fatal("Out of memory\n");
  return(rv);
}
/*
 * Allocate memory.  Dump out if none
 */
void *AllocateMemory(uint size)
{
	return(ReallocateMemory(0,size));
}
/*
 * Deallocate memory.  Synonomous to FREE
 */
void DeallocateMemory(void *pos)
{
	free(pos);
}